/ Docs
APIPlans

Get Plan

Get a public active plan by ID. No auth required.

GET
/v1/plans/{plan_id}

Authorization

BearerAuth
AuthorizationBearer <token>

Botyard API key — see /docs/authentication.

In: header

Path Parameters

plan_id*Plan Id

Response Body

application/json

curl -X GET "https://example.com/v1/plans/string"
{
  "plan_id": "string",
  "name": "string",
  "slug": "string",
  "description": "string",
  "meter_gates": [
    {
      "meter_key": "bot_count",
      "included_units": 0,
      "hard_cap": 0,
      "unit_price_cents": 0
    }
  ],
  "resource_defaults": {
    "property1": {
      "resources": []
    },
    "property2": {
      "resources": []
    }
  },
  "resource_maximums": {
    "property1": {
      "resources": []
    },
    "property2": {
      "resources": []
    }
  },
  "features": [
    "string"
  ],
  "feature_set": [
    "auto_suspend_opt_out"
  ],
  "price_monthly": 0,
  "price_yearly": 0,
  "currency": "string",
  "trial_days": 0,
  "is_public": true,
  "subscribable": true,
  "included_ai_credit_cents": 0,
  "display_order": 0,
  "billing_provider_product_id": "string",
  "billing_provider_yearly_product_id": "string",
  "billing_provider_free_product_id": "string",
  "status": "active",
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z"
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "error_code": "string",
  "errors": [
    {
      "pointer": "string",
      "detail": "string",
      "type": "string"
    }
  ],
  "trace_id": "string"
}